Edit Cluster
Api to edit a cluster for Telco Cloud Automation
Request
URI
PUT
https://{api_host}/hybridity/api//infra/k8s/clusters/{clusterId}
COPY
Path Parameters
string
clusterId
Required
clusterId
Request Body
Edit cluster
cluster
of type(s)
application/json
Required
{
"id": "string",
"clusterName": "string",
"clusterType": "string",
"vsphereClusterName": "string",
"managementClusterId": "string",
"hcxUUID": "string",
"status": "string",
"activeTasksCount": 0,
"clusterTemplate": {
"name": "string",
"version": "string",
"id": "string"
},
"clusterConfig": {
"cni": [
{
"name": "string"
}
],
"csi": [
{
"name": "string",
"properties": {
"name": "string",
"isDefault": false,
"serverIP": "string",
"mountPath": "string",
"datastoreUrl": "string",
"timeout": "string"
}
}
],
"kubernetesVersion": "string",
"tools": [
{
"name": "string",
"version": "string"
}
],
"systemSettings": [
{
"name": "string",
"properties": {
"host": "string",
"port": 0,
"protocol": "string"
}
}
]
},
"clusterId": "string",
"clusterUrl": "string",
"kubeConfig": "string",
"endpointIP": "string",
"masterNodes": [
{
"cpu": 0,
"memory": 0,
"name": "string",
"networks": [
{
"label": "string",
"networkName": "string",
"nameservers": [
"string"
]
}
],
"storage": 0,
"replica": 0,
"labels": [
"string"
],
"cloneMode": "string"
}
],
"workerNodes": [
{
"cpu": 0,
"memory": 0,
"name": "string",
"networks": [
{
"label": "string",
"networkName": "string",
"nameservers": [
"string"
]
}
],
"storage": 0,
"replica": 0,
"labels": [
"string"
],
"cloneMode": "string",
"config": {
"cpuManagerPolicy": {
"type": "string",
"policy": "string",
"properties": {
"kubeReserved": {
"cpu": 0,
"memoryInGiB": 0
},
"systemReserved": {
"cpu": 0,
"memoryInGiB": 0
}
}
},
"healthCheck": {
"nodeStartupTimeout": "string",
"unhealthyConditions": [
{
"type": "string",
"status": "string",
"timeout": "string"
}
]
}
}
}
],
"vimId": "string",
"error": "string"
}
string
id
Optional
id
string
clusterName
Optional
clusterName
string
clusterType
Optional
clusterType
string
vsphereClusterName
Optional
vsphereClusterName
string
managementClusterId
Optional
managementClusterId
string
hcxUUID
Optional
hcxUUID
string
status
Optional
status
integer
activeTasksCount
Optional
Number of operations in processing or queued state on the cluster
string
clusterId
Optional
clusterId
string
clusterUrl
Optional
clusterUrl
string
kubeConfig
Optional
kubeConfig
string
endpointIP
Optional
endpointIP
string
vimId
Optional
vimId
string
error
Optional
error
Responses
200
Successfully updated cluster.
Returns
clusterAPIResponse
of type(s)
application/json
{
"id": "string",
"operationId": "string"
}
string
id
Optional
id
string
operationId
Optional
operationId
400
Bad Request
Returns
errorResponse
of type(s)
application/json
{
"errors": [
{
"code": "string",
"message": "string"
}
]
}
500
Internal Server Error
Returns
errorResponse
of type(s)
application/json
{
"errors": [
{
"code": "string",
"message": "string"
}
]
}
On This Page
Infra Operations
POST
Abort Cluster Operation
PUT
Change Cluster Password
POST
Create Cluster Node Pool
DELETE
Delete Node Pool
POST
Deploy Cluster
PUT
Edit Cluster
PUT
Edit Cluster Config
PUT
Edit Node Pool
POST
Genereate Spec
GET
Get Cluster Config
GET
Get Clusters Node Pools
GET
Get K8 Cluster Node Pool
POST
Kuberenetes Version Upgrade Matrix
PUT
Pause Node Pool
POST
Retry Cluster Operation
GET
Supported Kubernetes Versions
PUT
Sync Esx Info
PUT
Unpause Node Pool
PUT
Upgrade Cluster
GET
Upgrade History
POST
Upgrade Node Pool
GET
Validate Upgrade Cluster